<template>
  <div class="container">
    <!-- 查询配置 -->
    <div style="padding: 0px 20px">
      <!-- <iframe v-if="showiframe" ref="iframe" :src="url" width="100%" :height="myHeight+'px'" frameborder="0"></iframe> -->

      <div ref="lxHeader">
        <LxHeader icon="md-apps" text="法律法规" style="margin-bottom: 10px; border: 0px;">
          <div slot="content"></div>

        </LxHeader>
      </div>



    </div>
  </div>

</template>

<script>
  import LxHeader from "@/components/LxHeader/index.vue";

  import {
    getOatoken
  } from "@/api/oatoken";

  export default {
    components: {
      LxHeader
    },
    created() {},
    mounted() {
      this.myHeight = window.innerHeight * 0.95
      let that = this;
      this.openOa()
    },
    data() {
      return {
        myHeight: 0,
        url: '',
        showiframe: false
      }
    },
    methods: {
      async openOa(row) {
        let res = await getOatoken()
        this.url =
          `${process.env.VUE_APP_OUT_URL}/oa/admin/regulation/show?category_id=38&oatoken=${res.oatoken}`
        this.showiframe = true
        let oaurl = window.open(this.url,'oaurl')
      },
    }
  };
</script>

<style>
  .dialogConcent {
    overflow-y: auto;
  }

  .el-tree-node__label {
    text-wrap: wrap;
  }

  .el-tree-node__content {
    height: auto;
  }
</style>
